
[spec]

; Format and options of this spec file:
options = "+spec3"

[info]

artists = "
; units:
    Tatu Rissanen <tatu.rissanen@hut.fi>
; cities:
    Tatu Rissanen <tatu.rissanen@hut.fi>
    Jerzy Klek <jekl@altavista.net>
    Marco Saupe <msaupe@saale-net.de> (reworked classic, industrial and modern)
; converted to hex:
    Tommy <yobbo3@hotmail.com>
"

[file]
gfx = "hex2t/items"

[grid_main]

x_top_left = 2
y_top_left = 2
dx = 40
dy = 108
pixel_border = 2

tiles = { "row", "column", "tag"

  0,  0, "u.armor"
  0,  1, "u.howitzer"
  0,  2, "u.battleship"
  0,  3, "u.bomber"
  0,  4, "u.cannon"
  0,  5, "u.caravan"
  0,  6, "u.carrier"
  0,  7, "u.catapult"
  0,  8, "u.horsemen"
  0,  9, "u.chariot"
  0, 10, "u.cruiser"
  0, 11, "u.diplomat", "u.barbarian_leader"
  0, 12, "u.fighter"
  0, 13, "u.frigate"
  0, 14, "u.ironclad"
  0, 15, "u.knights"
  0, 16, "u.legion"
  0, 17, "u.mech_inf"
  0, 18, "u.warriors"
  0, 19, "u.musketeers"
  1,  0, "u.nuclear"
  1,  1, "u.phalanx"
  1,  2, "u.riflemen"
  1,  3, "u.caravel"
  1,  4, "u.settlers"
  1,  5, "u.submarine"
  1,  6, "u.transport"
  1,  7, "u.trireme"
  1,  8, "u.archers"
  1,  9, "u.cavalry"
  1, 10, "u.cruise_missile"
  1, 11, "u.destroyer"
  1, 12, "u.dragoons"
  1, 13, "u.explorer"
  1, 14, "u.freight"
  1, 15, "u.galleon"
  1, 16, "u.partisan"
  1, 17, "u.pikemen"
  2,  0, "u.marines"
  2,  1, "u.spy"
  2,  2, "u.engineers"
  2,  3, "u.artillery"
  2,  4, "u.helicopter"
  2,  5, "u.alpine_troops"
  2,  6, "u.stealth_bomber"
  2,  7, "u.stealth_fighter"
  2,  8, "u.aegis_cruiser"
  2,  9, "u.paratroopers"
  2, 10, "u.elephants"
  2, 11, "u.crusaders"
  2, 12, "u.fanatics"
  2, 13, "u.awacs"
  2, 14, "u.worker"

; Veteran Levels: up to 9 military honors for experienced units

  3, 0, "unit.vet_1"
  3, 1, "unit.vet_2"
  3, 2, "unit.vet_3"
  3, 3, "unit.vet_4"
  3, 4, "unit.vet_5"
  3, 5, "unit.vet_6"
  3, 6, "unit.vet_7"
  3, 7, "unit.vet_8"
  3, 8, "unit.vet_9"

  3, 9, "unit.lowfuel"
  3, 9, "unit.tired"

; cities:

; used by all city styles

 4,  0, "city.disorder"
 4,  1, "tx.airbase"
 4,  2, "tx.airbase_full"
 4,  3, "tx.fortress"
 4,  4, "tx.fortress_back"

; default city tiles
 5,  2, "cd.city"
 5,  3, "cd.city_wall"
 5,  4, "cd.occupied"

; city tiles

 5,  0, "city.european_0"
 5,  1, "city.european_5"
 5,  2, "city.european_10"
 ;5,  3, "city.european_wall"
 5,  4, "city.european_occupied"
 5,  5, "city.european_0_wall"
 5,  6, "city.european_5_wall"
 5,  7, "city.european_10_wall"
   
 6,  0, "city.industrial_0"
 6,  1, "city.industrial_5"
 6,  2, "city.industrial_10"
 ;6,  3, "city.industrial_wall"
 6,  4, "city.industrial_occupied"
 6,  5, "city.industrial_0_wall"
 6,  6, "city.industrial_5_wall"
 6,  7, "city.industrial_10_wall"
   
 7,  0, "city.modern_0"
 7,  1, "city.modern_5"
 7,  2, "city.modern_10"
 ;7,  3, "city.modern_wall"
 7,  4, "city.modern_occupied"
 7,  5, "city.modern_0_wall"
 7,  6, "city.modern_5_wall"
 7,  7, "city.modern_10_wall"
   
 8,  0, "city.postmodern_0"
 8,  1, "city.postmodern_5"
 8,  2, "city.postmodern_10"
 ;8,  3, "city.postmodern_wall"
 8,  4, "city.postmodern_occupied"
 8,  5, "city.postmodern_0_wall"
 8,  6, "city.postmodern_5_wall"
 8,  7, "city.postmodern_10_wall"

 9,  0, "city.classical_0"
 9,  1, "city.classical_5"
 9,  2, "city.classical_10"
 ;9,  3, "city.classical_wall"
 9,  4, "city.classical_occupied"
 9,  5, "city.classical_0_wall"
 9,  6, "city.classical_5_wall"
 9,  7, "city.classical_10_wall"
   
 10,  0, "city.asian_0"
 10,  1, "city.asian_5"
 10,  2, "city.asian_10"
 ;10,  3, "city.asian_wall"
 10,  4, "city.asian_occupied"
 10,  5, "city.asian_0_wall"
 10,  6, "city.asian_5_wall"
 10,  7, "city.asian_10_wall"
   

 11,  0, "city.tropical_0"
 11,  1, "city.tropical_5"
 11,  2, "city.tropical_10"
 ;11,  3, "city.tropical_wall"
 11,  4, "city.tropical_occupied"
 11,  5, "city.tropical_0_wall"
 11,  6, "city.tropical_5_wall"
 11,  7, "city.tropical_10_wall"
   
; Unit activity letters:  (note unit icons have just "u.")

  3, 14, "unit.auto_attack",
         "unit.auto_settler"
  3, 15, "unit.stack"
  3, 16, "unit.loaded"
  3, 17, "unit.connect"
  3, 18, "unit.auto_explore"
  3, 19, "unit.patrol"

  4, 8, "unit.transform"
  4, 9, "unit.sentry"
  4, 10, "unit.goto"
  4, 11, "unit.mine"
  4, 12, "unit.pollution"
  4, 13, "unit.road"
  4, 14, "unit.irrigate"
  4, 15, "unit.fortifying",
         "unit.fortress"
  4, 16, "unit.airbase"
  4, 17, "unit.pillage"
  4, 18, "unit.fortified"
  4, 19, "unit.fallout"

; Unit hit-point bars: approx percent of hp remaining

  5,  9, "unit.hp_100"
  5,  10, "unit.hp_90"
  5,  11, "unit.hp_80"
  5,  12, "unit.hp_70"
  5,  13, "unit.hp_60"
  5,  14, "unit.hp_50"
  5,  15, "unit.hp_40"
  5,  16, "unit.hp_30"
  5,  17, "unit.hp_20"
  5,  18, "unit.hp_10"
  5,  19, "unit.hp_0"

; Numbers: city size:

  6,  10, "city.size_0"
  6,  11, "city.size_1"
  6,  12, "city.size_2"
  6,  13, "city.size_3"
  6,  14, "city.size_4"
  6,  15, "city.size_5"
  6,  16, "city.size_6"
  6,  17, "city.size_7"
  6,  18, "city.size_8"
  6,  19, "city.size_9"

  7,  11, "city.size_10"
  7,  12, "city.size_20"
  7,  13, "city.size_30"
  7,  14, "city.size_40"
  7,  15, "city.size_50"
  7,  16, "city.size_60"
  7,  17, "city.size_70"
  7,  18, "city.size_80"
  7,  19, "city.size_90"

; Numbers: city tile food/shields/trade y/g/b

  8,  10, "city.t_food_0"
  8,  11, "city.t_food_1"
  8,  12, "city.t_food_2"
  8,  13, "city.t_food_3"
  8,  14, "city.t_food_4"
  8,  15, "city.t_food_5"
  8,  16, "city.t_food_6"
  8,  17, "city.t_food_7"
  8,  18, "city.t_food_8"
  8,  19, "city.t_food_9"

  9,  10, "city.t_shields_0"
  9,  11, "city.t_shields_1"
  9,  12, "city.t_shields_2"
  9,  13, "city.t_shields_3"
  9,  14, "city.t_shields_4"
  9,  15, "city.t_shields_5"
  9,  16, "city.t_shields_6"
  9,  17, "city.t_shields_7"
  9,  18, "city.t_shields_8"
  9,  19, "city.t_shields_9"

  10, 10, "city.t_trade_0"
  10, 11, "city.t_trade_1"
  10, 12, "city.t_trade_2"
  10, 13, "city.t_trade_3"
  10, 14, "city.t_trade_4"
  10, 15, "city.t_trade_5"
  10, 16, "city.t_trade_6"
  10, 17, "city.t_trade_7"
  10, 18, "city.t_trade_8"
  10, 19, "city.t_trade_9"

}
